#

API Docs for:
Show: Inherited Protected Private Deprecated

# LineSeries Class

Defined in: `input/charts/LineSeries.js:1`
Module: charts

The LineSeries class renders quantitative data on a graph by connecting relevant data points.

- Index
- Methods
- Attributes

## Item Index

### Methods

- _getDefaultStyles
- _setStyles
- drawSeries

### Attributes

- styles
- type

## Methods

### `_getDefaultStyles`

() protected

Defined in `input/charts/LineSeries.js:39`

#### Returns:

Object

### `_setStyles`

(

- `newStyles`

)
protected

Defined in `input/charts/LineSeries.js:21`

#### Parameters:

- `newStyles` Object

  Hash of properties to update.

#### Returns:

Object

### `drawSeries`

() protected

Defined in `input/charts/LineSeries.js:11`

## Attributes

### `styles`

Object

Defined in `input/charts/LineSeries.js:67`

Style properties used for drawing lines. This attribute is inherited from `Renderer`. Below are the default values:

color
  The color of the line. The default value is determined by the order of the series on the graph. The color will be retrieved from the following array: `["#426ab3", "#d09b2c", "#000000", "#b82837", "#b384b5", "#ff7200", "#779de3", "#cbc8ba", "#7ed7a6", "#007a6c"]`
weight
  Number that indicates the width of the line. The default value is 6.
alpha
  Number between 0 and 1 that indicates the opacity of the line. The default value is 1.
lineType
  Indicates whether the line is solid or dashed. The default value is solid.
dashLength
  When the `lineType` is dashed, indicates the length of the dash. The default value is 10.
gapSpace
  When the `lineType` is dashed, indicates the distance between dashes. The default value is 10.
connectDiscontinuousPoints
  Indicates whether or not to connect lines when there is a missing or null value between points. The default value is true.
discontinuousType
  Indicates whether the line between discontinuous points is solid or dashed. The default value is solid.
discontinuousDashLength
  When the `discontinuousType` is dashed, indicates the length of the dash. The default value is 10.
discontinuousGapSpace
  When the `discontinuousType` is dashed, indicates the distance between dashes. The default value is 10.

### `type`

String

Defined in `input/charts/LineSeries.js:56`

Read-only attribute indicating the type of series.

Default: line